<div class="payment-passenger-details">
<c:forEach var="passengerRoomSummary" items="${bookingComponent.passengerRoomSummary}">
    <h5>Room <c:out value="${passengerRoomSummary.key}"/> 
    <span>
    <c:if test="${not empty bookingComponent.rooms}">
    <c:forEach var="room" items="${bookingComponent.rooms}">
        <c:if test="${room.roomId eq passengerRoomSummary.key}">
            <c:out value="${room.roomDescription}"/>
        </c:if>
    </c:forEach>
    </c:if> 
    </span>
    </h5>
    <h6 class="sub-details">
    <c:forEach var="passenger" items="${passengerRoomSummary.value}" >
      <span class="disBlock"><span class="room_details"><c:out value="${passenger.title}"/>.<c:out value="${passenger.foreName}"/> <c:out value="${passenger.middleName}"/><c:out value="${passenger.lastName}"/></span></span>
    </c:forEach>
    </h6>
</c:forEach>
</div>